<!DOCTYPE html>
<html>

<head>
    <title>Chatroom</title>
    <link rel="stylesheet" href="static/css/highlight.css" />
    <link rel="icon" href="static/img/favicon.png" type="image/png" />
</head>

<body>
    <div id="page">
        <button type="button" id="logoutBtn">Logout</button>
        <marquee>
            <div id="header"></div>
        </marquee>
        <main>
            <pre id="output"></pre>
        </main>
        <div id="controls">
            <label for="search">Search:</label>
            <input type="search" id="search" name="search" title="Search for keyword, date or time" maxlength="96" enterkeyhint="search" value="*">
            <button type="button" id="searchBtn">Search!</button>
            
            <br>
            <label for="receiver">To:</label>
            <input type="text" id="receiver" name="receiver" title="Who you want to send a message to (multiple recipients can be separated by a ,)" maxlength="96" value="" placeholder="username1,username2">
            <input type="hidden" id="csrf_token" name="csrf_token" value="{{ csrf_token() }}"/>
            <button type="button" id="sendBtn">Send</button>
            <br>

            <label for="message">Message:</label>
            <textarea id="message" maxlength="256" style="grid-row: span 4;" placeholder="A message..."></textarea>
        </div>
        <div id="anchor"></div>
    </div>
</body>
<script src="static/js/index.js"></script>

</html>